--- db44.SlackBuild	2006-04-03 20:40:23.000000000 -0400
+++ db44.SlackBuild.s390x	2006-07-31 23:26:31.000000000 -0400
@@ -14,7 +14,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -48,6 +48,7 @@
 CXXFLAGS="$SLKCFLAGS" \
 ../dist/configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --enable-shared \
   --enable-rpc \
   --enable-cxx \
@@ -56,6 +57,7 @@
 
 make -j3
 make install DESTDIR=$PKG
+chown -R root:bin $PKG/usr/bin
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -90,14 +92,14 @@
 # Put libdb-4.4.so into /lib since it might be needed
 # before /usr is mounted (eg, nsswitch.conf can be set up to
 # use databases instead of flat files)
-mkdir -p $PKG/lib
-mv $PKG/usr/lib/libdb-4.4.so $PKG/lib/libdb-4.4.so
-( cd $PKG/usr/lib
-  ln -sf /lib/libdb-4.4.so .
+mkdir -p $PKG/lib64
+mv $PKG/usr/lib64/libdb-4.4.so $PKG/lib64/libdb-4.4.so
+( cd $PKG/usr/lib64
+  ln -sf /lib64/libdb-4.4.so .
 )
 
 # Some things might look for these libraries by other names.
-( cd $PKG/usr/lib
+( cd $PKG/usr/lib64
   ln -sf libdb-4.4.a libdb-4.a
   ln -sf libdb-4.4.a libdb4.a
   ln -sf libdb-4.4.a libdb.a
